Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418340 - f25 host + rhel7.3 guest + guest 'noxsave' = guest panics on reboot
Summary: f25 host + rhel7.3 guest + guest 'noxsave' = guest panics on reboot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 15:25 UTC by Adrian Reber
Modified: 2017-12-12 10:34 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:34:06 UTC
Type: Bug


Attachments (Terms of Use)
VM crash png (15.23 KB, image/png)
2017-02-16 22:09 UTC, Adrian Reber
no flags Details

Description Adrian Reber 2017-02-01 15:25:57 UTC
Description of problem:
When adding 'noxsave' to the kernel command-line of the guest the guest crashes after a reboot with:

[    0.829867] traps: modprobe[44] trap invalid opcode ip:7f8a0e96adc2 sp:7ffd06cb59a0 error:0 in ld-2.17.so[7f8a0e954000+20000]
[    0.831753] traps: modprobe[46] trap invalid opcode ip:7fd03d4d8dc2 sp:7ffc350fc0c0 error:0 in ld-2.17.so[7fd03d4c2000+20000]
[    0.833643] Key type trusted registered
[    0.834416] traps: modprobe[50] trap invalid opcode ip:7f7594f35dc2 sp:7ffd80e51520 error:0 in ld-2.17.so[7f7594f1f000+20000]
[    0.836331] traps: modprobe[52] trap invalid opcode ip:7f2d10087dc2 sp:7ffeb579b3a0 error:0 in ld-2.17.so[7f2d10071000+20000]
[    0.838252] Key type encrypted registered
[    0.839056] traps: modprobe[56] trap invalid opcode ip:7f3af4d0fdc2 sp:7ffdb8b25da0 error:0 in ld-2.17.so[7f3af4cf9000+20000]
[    0.840955] traps: modprobe[58] trap invalid opcode ip:7f9195ef2dc2 sp:7ffe748ad760 error:0 in ld-2.17.so[7f9195edc000+20000]
[    0.842883] IMA: No TPM chip found, activating TPM-bypass!
[    0.844782] rtc_cmos 00:00: setting system clock to 2017-02-01 15:24:35 UTC (1485962675)
[    0.846789] Freeing unused kernel memory: 1684k freed
[    0.847826] traps: init[1] trap invalid opcode ip:7f5714322dc2 sp:7fff33a7c0f0 error:0 in ld-2.17.so[7f571430c000+20000]
[    0.849702] Kernel panic - not syncing: Attempted to kill init! exitcode=0x00000004
[    0.849702] 
[    0.851484] CPU: 0 PID: 1 Comm: init Not tainted 3.10.0-514.2.2.el7.x86_64 #1
[    0.852544] Hardware name: QEMU Standard PC (i440FX + PIIX, 1996), BIOS 1.9.3-1.fc25 04/01/2014
[    0.853980]  ffffffff818c80f0 00000000d55fb31f ffff88003da37c60 ffffffff816860cc
[    0.855449]  ffff88003da37ce0 ffffffff8167f4d3 ffffffff00000010 ffff88003da37cf0
[    0.856921]  ffff88003da37c90 00000000d55fb31f ffffffff81e68080 0000000000000004
[    0.858391] Call Trace:
[    0.858928]  [<ffffffff816860cc>] dump_stack+0x19/0x1b
[    0.859719]  [<ffffffff8167f4d3>] panic+0xe3/0x1f2
[    0.860489]  [<ffffffff8108c48d>] do_exit+0xa3d/0xa40
[    0.861294]  [<ffffffff81099f63>] ? __sigqueue_free.part.11+0x33/0x40
[    0.862242]  [<ffffffff8108c50f>] do_group_exit+0x3f/0xa0
[    0.863115]  [<ffffffff8109d580>] get_signal_to_deliver+0x1d0/0x6d0
[    0.864082]  [<ffffffff8102a427>] do_signal+0x57/0x6c0
[    0.864923]  [<ffffffff8168e687>] ? do_trap+0xa7/0x170
[    0.865775]  [<ffffffff8102b144>] ? do_invalid_op+0xb4/0x130
[    0.866677]  [<ffffffff8102aaef>] do_notify_resume+0x5f/0xb0
[    0.867583]  [<ffffffff8168df7c>] retint_signal+0x48/0x8c



The guest is running RHEL 7.3 the host Fedora 25. The errors does not happen if I power off and power the VM back on again.

Something in the VM is different if rebooting or powering off and on again when using the 'noxsave' kernel option.

Version-Release number of selected component (if applicable):
# uname -a
Linux dcbz 4.9.3-200.fc25.x86_64 #1 SMP Fri Jan 13 01:01:13 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

qemu-kvm-2.7.1-2.fc25.x86_64
seabios-bin-1.9.3-1.fc25.noarch


How reproducible:
Always and on multiple VMs


Steps to Reproduce:
1. Add 'noxsave' to kernel command-line
2. reboot

Comment 1 Cole Robinson 2017-02-16 19:24:45 UTC
Did this work with previous fedora host versions, or any other host OS? Any help limiting this to host emulator, host kernel, or guest kernel.

Also CCing radim + paolo incase they have any ideas

Comment 2 Adrian Reber 2017-02-16 22:08:20 UTC
Sorry, I do not have many systems to test. I have a Fedora 24 system but the CPU is too old so that the XSAVE option is never passed from the host to the guest.

But I can reproduce the same error on a VPS I rented with CentOS. The VPS claims to be:


[    0.000000] DMI: OpenStack Foundation OpenStack Nova, BIOS Ubuntu-1.8.2-1ubuntu1~cloud0+ovh1 04/01/2014

I have no idea what exactly is running on the host, but it does not seem to be Fedora. I will attach a screenshot of the crash.

After power off/power on the crash is gone.

Comment 3 Adrian Reber 2017-02-16 22:09:23 UTC
Created attachment 1250970 [details]
VM crash png

Comment 4 Fedora End Of Life 2017-11-16 19:51:02 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-12-12 10:34:06 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.